#ifndef CORE_ERROR_SIMULATOR_HPP
#define CORE_ERROR_SIMULATOR_HPP

#ifdef ERROR_SIMULATOR
namespace Core::Fail {
    extern bool alloc;
    extern bool fileClose;
    extern bool timeGet;
}
#define CORE_ALLOC_FAIL Core::Fail::alloc
#define CORE_FILE_CLOSE_FAIL Core::Fail::fileClose
#define CORE_TIME_GET_FAIL Core::Fail::timeGet
#else
#define CORE_ALLOC_FAIL(...) false
#define CORE_FILE_CLOSE_FAIL false
#define CORE_TIME_GET_FAIL false
#endif

#endif
