#include "../Tests.h"
#include "core/Unicode.h"

void testUnicode(void) {
    for(u32 c = 0; c < 0x10FFFF; c += 50) {
        UTF8 u = convertUnicodeToUTF8(c);
        for(u32 k = 1; k < u.length; k++) {
            TEST_TRUE(isUTF8Remainder(u.data[k]));
        }
        TEST_TRUE(u.length >= 1);
        TEST_U32(u.length, getUTF8Length(u.data[0]));
        TEST_U32(c, convertUTF8toUnicode(u));
    }
}
